#### D.4.4.1 minMult

Procedure from library `cisimplicial.lib` (see cisimplicial_lib).

Usage:
  minMult (a, b); a integer, b integer vector.

Return:
  an integer k, the minimum positive integer such that k*a belongs to the semigroup generated by the integers in b.

Assume:
  a is a positive integer, b is a vector of positive integers.

Example:

    LIB "cisimplicial.lib";
    int a = 46;
    intvec b = 13,17,59;
    minMult(a,b);
    ==> 3
    "// 3*a = 8*b[1] + 2*b[2]"

User manual for Singular version 4.4.1, 2025, generated by texi2html.